/* 

#ff00ff hot pink
#c8ff00 green

*/




@font-face {
    font-family: cityburn, Arial, sans-serif;
    src: url(../font/cityburn-⌐.ttf);
}

.pinklinks a {
    color: #ff00ff
} .pinklinks a:hover {
    color: white;
}

.greenlinks a{
    color:#c8ff00;
} .greenlinks a:hover {
    color:white;
}

h1, h2 {
    font-family: cityburn;
    margin: auto;
        font-weight: normal;

} h1 {
    font-size: 5rem;
    margin: -40px auto -10px auto;
    transform: scaleY(130%);
    text-align: center;

} h2 {
    line-height: 30px;
} h4 {
    margin: auto auto 20px auto;
    font-size: 3rem;
    text-align: center;
}

 ul li {
    list-style: none;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    background-image: url("../img/skullbg.png");
    background-size: contain;   
    background-attachment: fixed;
    color: white;
    font-size: clamp(0.2rem, 1rem, 1rem)
}
 
.maincontent h4 a {
    color: #c8ff00;
} .maincontent h4 a:hover {
    color: white;
}

#mailpopup {
 
    height: auto;
    background-color: #ff00ff;
    display: flex;
    flex: column wrap;
    justify-content: center;
    align-items: center;
    padding: 10px;
    gap: 20px;
    margin-bottom: 60px;
}  #mailpopup a {
    color: #c8ff00;
    text-decoration: none;
} #mailpopup a:hover {
    color: black;
} #mailpopup p, #mailpopup h2 {
    margin: 5px;
}  

footer {
    display: flex;
    flex: row nowrap;
    justify-content: center;
    align-items: center;
    padding: 15px ;
    background-color: #c8ff00;
    color: black;
} footer a {
    font-weight: bold;
    text-decoration: none;
    color: black;
} footer a:hover {
    color:#ff00ff;
}

header {
    margin-bottom: 70px;
}
header div {
 
    margin: 20px auto;
    display: flex;
    align-items:flex-end;
    justify-content: center;
    flex-flow: row wrap;
    gap: 20px;
}

header img {
    transition: transform .2s ease-in-out;
    display: block;
    object-fit: contain;
    max-width:15em;
} header img:hover {
    transform: rotate(2deg);
} #homebtn {
    margin-bottom: -15px;
        max-width: 8em;
} #workbtn {
    max-width:7em;
} #abtbtn {
    max-width:9em;
} #cstbtn {
    max-width:14em;
}


header section {
        display: flex;
    flex: row nowrap;
    width: 100%;
    margin: auto;
}
 header section ul, footer ul {
    display: inline;
    margin: auto;
}  
header section ul li, footer ul li {
    display: inline;
    margin-right: 20px;
}  



main {
    justify-content: center;

    display: flex;
    flex: row nowrap;
    gap: 20px;
    margin: auto 20px 50px 20px;
}   
.maincontent{
    display: block;
    margin: auto;
    width: 70%;
} 

.maincontent img {
    display: block;
    object-fit: contain;
    width: 40%;
} .maincontent h2 {
    margin: auto;
    font-size: 2.2rem;
    text-align: center;
} .maincontent p{
    text-align: justify;
    text-align-last: justify;
} .maincontent img {
    margin: 10px auto 50px auto;
} .maincontent a {
    color: white;
    text-underline-offset:7px;
} .maincontent a:hover {
    color: #c8ff00;
} .maincontent h4 {
    color: #c8ff00;
}
 

.smallmainbox {
    width: 70%;
    display: block;
    margin: auto;
} 

.recentart {
    display: flex;
    color: #c8ff00;
    
    flex: column wrap;
    align-items: center;
    justify-content: center;
    gap: 20px;
    height: auto;
    margin: auto;
} .recentart p {
    margin: 10px auto 10px auto;
}
 
.recentart {
    display: flex;
    
} .recentthumbs img {
    width: 100%;
    margin: auto;
}  
aside {
 display: block;
 margin-top: 20px;
} aside * {
    margin: auto;
}

aside img {
    display: block;
    object-fit: contain;
    height: 8rem;
    align-self: flex-start;
} aside section {
    width: 20rem;
    border: 1px solid #c8ff00;
    padding: 10px;
    margin: 20px 0px 20px 0px;
    color: #c8ff00;
} aside section h2 {
    text-align: right;
    margin: 5px;
} .asideheader {
        transform: scaleY(130%);
    font-size: 2rem;
    text-align: right;
    line-height: 30px;
    margin-top: 10px;

} aside section p:not(.asideheader) {
    text-align: justify;
    text-justify: distribute-all-lines;
    text-align-last: justify;
 
}
#guestgif {
    transition: transform .2s ease-in-out;
    width: 50%;
}
#guestgif:hover{
    transform: rotate(3deg);
}


.imgbox   {
    display: flex;
    gap: 20px;
    justify-content: center;
    margin: 20px auto 20px auto;
}  .maincontent .imgbox {
    gap: 0px;
    width: 90%;
    margin: 60px auto 0px auto;
} main aside .imgbox {
    width: 60%;
 
}  


 .mydesc {
    margin-bottom: 50px;
 }


 








 .left {
    align-self: flex-start;
} .right {
    align-self: flex-end;
 
}

.stampsgrid {
    display: flex;
 
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
    margin: 20px auto 20px auto;
    max-width: 400px;
    gap: 10px;
} .stampsgrid img {
    width: 6rem;
    object-fit: contain;
    margin: 0px;
    height: auto;
}

.sitelist {
    text-align: right;
    margin: 20px;
} .sitelist li {
    line-height: 30px;
}
 


#mobileheader {
    margin: 20px;
}
#mobileheader a   {
    color:#ff00ff;
    
} #mobileheader ul li {
    line-height: 30px;
}  

#mobilelinks {
    display: none;
}
@media only screen and (min-width: 1026px) {
    #mobileheader {
        display: none;
    }
    .mobilemsg {
        display: none;
    }
}


@media only screen and (max-width: 1026px) {
    body {

    background-image: none;
    background-color: black;
 
}
      header, footer {
        display: none;
    }
    main {
        flex-direction: column;
    }
    #aside1 {
        order: 2;
    } #aside2 {
        order: 3;
    } aside section {
        width: 95%;
    } main {
        margin: 5px;
    }
    h1 {
        transform: scaleY(100%);
        font-size: 2em;
        margin: 15px 5px 5px 5px;
    } 
    .maincontent h2 {
        font-size: 1.5rem;
    }
    
    .maincontent {
        width: 100%;
        order: 1;
    } .maincontent img {
        width: 70%;
    }
}